//
//  ViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón on 29/10/14.
//  Copyright (c) 2014 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    var myCoffee = ""
    var myCookie = ""
    
    @IBOutlet weak var coffeeButton: UIButton!
    @IBOutlet weak var cookieButton: UIButton!
    

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        
        if let identifier = segue.identifier {
            switch identifier {
            case "Select Coffee":
                if let vc = segue.destination as? CoffeeSelectorViewController {
                    vc.currentCoffee = myCoffee
                }
            case "Select Cookie":
                if let vc = segue.destination as? CookieSelectorViewController {
                    vc.currentCookie = myCookie
                }
            default:
                break
            }
        }
    }


    // MARK: Coffee selection - unwind
    
    @IBAction func coffeeSelected(_ segue: UIStoryboardSegue) {
        
        if let vc = segue.source as? CoffeeSelectorViewController {
            myCoffee = vc.currentCoffee
            setTitle(myCoffee, for: coffeeButton)
        }
    }
    
    // MARK: Cookie selection - unwind
    
    @IBAction func cookieSelected(_ segue: UIStoryboardSegue) {
        
        if let vc = segue.source as? CookieSelectorViewController {
            myCookie = vc.currentCookie
            setTitle(myCookie, for: cookieButton)
        }
    }
    
    
    // MARK: Utilidades
    
    private func setTitle(_ title: String, for button: UIButton) {
        button.setTitle(title == "" ? "Elegir" : "I 😍 \(title)", for: .normal)
    }
    
}

